#!/bin/bash

GREEN_COLOR='\033[0;32m'
NO_COLOR='\033[0m' # No Color

# create build folder
# chmod -R 777 ./
# mkdir -p .//public
# mkdir -p .//.husky
# mkdir -p .//public/env
# mkdir -p .//public/src

# install necessary package
echo -e "${GREEN_COLOR}Installing necessary package ...${NO_COLOR}"
(npm i -s axios @reduxjs/toolkit uuid redux react-redux redux-persist redux-persist/lib/storage react-router-dom lodash)
(npm i --save-dev env-cmd husky @types/uuid @types/lodash @types/react-router-dom lint-staged node-sass prettier pretty-quick)

if [ -f ".//package.json" ]; then
  (npm run prepare)
fi


# copy all necessaries folders to build
echo -e "${GREEN_COLOR}Generate files & folers ...${NO_COLOR}"
(cd ./node_modules/generate-react-ts-code-base && cp -R ./.vscode ./../../)
(cd ./node_modules/generate-react-ts-code-base && cp -R ./.husky ./../../)
(cd ./node_modules/generate-react-ts-code-base && cp -R ./env ./../../public
(cd ./node_modules/generate-react-ts-code-base && cp -R ./src ./../../)
(cd ./node_modules/generate-react-ts-code-base && cp ./.editorconfig ./../../)
(cd ./node_modules/generate-react-ts-code-base && cp ./.env.development ./../../)
(cd ./node_modules/generate-react-ts-code-base && cp ./.env.production ./../../)
(cd ./node_modules/generate-react-ts-code-base && cp ./.env.testing ./../../)
(cd ./node_modules/generate-react-ts-code-base && cp ./.env.uat ./../../)
(cd ./node_modules/generate-react-ts-code-base && cp ./.prettierignore ./../../)
(cd ./node_modules/generate-react-ts-code-base && cp ./.prettierrc ./../../)



echo -e "${GREEN_COLOR}❤️❤️❤️ DONE ❤️❤️❤️${NO_COLOR}"
echo -e "${GREEN_COLOR}Pls rate 1 star to https://github.com/trunghongoc/reactjs-ts-generate-base if it useful for you${NO_COLOR}"
